package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.AdjustRecord;
import cn.com.victorysoft.business.sys.param.UnitBlockWellPageParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AdjustRecordDao {
    List<AdjustRecord> selectList(UnitBlockWellPageParam param);

    int deleteByPrimaryKey(AdjustRecord key);

    int insert(AdjustRecord record);

    AdjustRecord selectByPrimaryKey(AdjustRecord key);

    int updateByPrimaryKeySelective(AdjustRecord record);

    int updateByPrimaryKey(AdjustRecord record);
}